# H245_CustomPictureFormat_pixelAspectInformation Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_anyPixelAspectRatio, e_pixelAspectCode, e_extendedPAR }

## Public Member Functions

| H245_CustomPictureFormat_pixelAspectInformation (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_CustomPictureFormat_pixelAspectInformation_pixelAspectCode & ()
| operator const H245_CustomPictureFormat_pixelAspectInformation_pixelAspectCode & () const
| operator H245_CustomPictureFormat_pixelAspectInformation_extendedPAR & ()
| operator const H245_CustomPictureFormat_pixelAspectInformation_extendedPAR & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_CustomPictureFormat_pixelAspectInformation::Choices

Enumerator:

  e_anyPixelAspectRatio |
  e_pixelAspectCode |
  e_extendedPAR |

## Constructor & Destructor Documentation

H245_CustomPictureFormat_pixelAspectInformation::H245_CustomPictureFormat_pixelAspectInformation | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_CustomPictureFormat_pixelAspectInformation::operator H245_CustomPictureFormat_pixelAspectInformation_pixelAspectCode & | ( |  | ) |

H245_CustomPictureFormat_pixelAspectInformation::operator const H245_CustomPictureFormat_pixelAspectInformation_pixelAspectCode & | ( |  | ) | const

H245_CustomPictureFormat_pixelAspectInformation::operator H245_CustomPictureFormat_pixelAspectInformation_extendedPAR & | ( |  | ) |

H245_CustomPictureFormat_pixelAspectInformation::operator const H245_CustomPictureFormat_pixelAspectInformation_extendedPAR & | ( |  | ) | const

PBoolean H245_CustomPictureFormat_pixelAspectInformation::CreateObject | ( |  | ) |

PObject* H245_CustomPictureFormat_pixelAspectInformation::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h